Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class DupFilterIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.DupFilterIterator

public final class DupFilterIterator
extends DTMAxisIteratorBase

Removes duplicates and sorts a source iterator. The nodes from the source are collected in an array upon calling setStartNode(). This array is later sorted and duplicates are ignored in next().

Constructor Summary
`DupFilterIterator(DTMAxisIterator source)`

Method Summary
`DTMAxisIterator` | `cloneIterator()`
`void` | `gotoMark()`
`int` | `next()`
`DTMAxisIterator` | `reset()`
`void` | `setMark()`
`void` | `setRestartable(boolean isRestartable)`
`DTMAxisIterator` | `setStartNode(int node)` Set the start node for this iterator

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DupFilterIterator

    public DupFilterIterator(DTMAxisIterator source)

Method Detail

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Set the start node for this iterator
  Parameters:
    `node` - The start node
  Returns:
    A reference to this node iterator

### next

    public int next()

### cloneIterator

    public DTMAxisIterator cloneIterator()

  Overrides:
    cloneIterator in class DTMAxisIteratorBase

### setRestartable

    public void setRestartable(boolean isRestartable)

  Overrides:
    setRestartable in class DTMAxisIteratorBase

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

### reset

    public DTMAxisIterator reset()

  Overrides:
    reset in class DTMAxisIteratorBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.